mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

values are independent; rights to one type of access do not imply rights to another. For instance, Write permission does not imply permission to Read or Create.

Although and appear in , they are not valid for use as the parameter for because they describe no registry variable access types or all registry variable access types, respectively, and expects a single registry variable access type.

Specifies the permitted access to registry keys and values.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.RegistryPermissionAccess To be added

  , , and access to registry variables. represents multiple values and causes an when used as the parameter for the method, which expects a single value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.RegistryPermissionAccess To be added

  Create access to registry variables.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.RegistryPermissionAccess To be added

  No access to registry variables. represents no valid values and causes an when used as the parameter for , which expects a single value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.RegistryPermissionAccess To be added

  Read access to registry variables.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.RegistryPermissionAccess To be added

  Write access to registry variables.